%define _name rssyl

Name: claws-mail-plugin-%_name
Version: 0.14
Release: alt1

Summary: RSS feed aggregator for Claws Mail
License: GPL
Group: Networking/Mail

Url: http://www.claws-mail.org/plugin.php?plugin=%_name

Source: http://www.claws-mail.org/downloads/plugins/%_name-%version.tar.gz

%define claws_mail_ver 2.10.0

Requires: claws-mail >= %claws_mail_ver
Requires: claws-mail < 2.11.0

# From configure.ac, with a cheat for gettext-tools (see prep below)
BuildPreReq: gettext-tools >= 0.14
BuildPreReq: claws-mail-devel >= %claws_mail_ver
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: libcurl-devel libxml2-devel

%description
The RSSyl plugin is an RSS feed aggregator for Claws Mail. It has the following
features:

    * Handling of RSS 1.0, RSS 2.0, and Atom feeds
    * Fetching and threaded display of comment feeds
    * Customisable refresh interval for each feed
    * Customisable number of feed items to keep for each feed

Navigating in your feeds and posts is done in the same way as you would for
emails, which makes feed-reading really fast and enjoyable if Claws Mail's
shortcuts are hardwired into your fingers.
Also, the RSSyl plugin unleashes its full potential when used with an HTML
viewer plugin like Dillo or Gtkhtml2Viewer, as this allows fetching a post's
images and font styles.

%prep
%setup -q -n %_name-%version
%__subst "s,AM_GNU_GETTEXT_VERSION(\[0.15\]),AM_GNU_GETTEXT_VERSION(\[0.14\])," configure.ac

%build
#autoreconf -fisv
%configure
%make

%install
%make DESTDIR=%buildroot install

%find_lang %_name

%files -f %_name.lang
%_libdir/claws-mail/plugins/%_name.so

%exclude %_libdir/*/*/*.a
%exclude %_libdir/*/*/*.la

%changelog
* Wed Aug 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.14-alt1
- new version (0.14), for Claws Mail 2.10.0

* Mon May 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.13-alt1
- new version (0.13)

* Sat Apr 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.12-alt1
- new version (0.12)
- added limitation of claws-mail's major version to requirements.

* Sun Apr 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.11-alt1
- new version 0.11 (with rpmrb script)

* Thu Feb 08 2007 Alexey Rusakov <ktirf@altlinux.org> 0.10-alt1
- Initial Sisyphus version.

